package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ActivityPermPO;
import mhp.oee.po.gen.ActivityPermPOExample;

public interface ActivityPermPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int countByExample(ActivityPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int deleteByExample(ActivityPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int insert(ActivityPermPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int insertSelective(ActivityPermPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    List<ActivityPermPO> selectByExample(ActivityPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    ActivityPermPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ActivityPermPO record, @Param("example") ActivityPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ActivityPermPO record, @Param("example") ActivityPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ActivityPermPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_perm
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ActivityPermPO record);
}